package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.model.DeviceAnalogVariableList;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.vo.DeviceAnalogVariableListVo;
import com.bizmatics.model.vo.DeviceAttributeVo;
import com.bizmatics.service.DeviceAnalogVariableListService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import java.util.List;

/**
 *
 * 设备变量列表
 *
 *
 * @author ya
 * @since 2021-09-24
 */
@RestController
@RequestMapping("/deviceAnalogVariableList")
public class DeviceAnalogVariableListController {

    @Autowired
    private DeviceAnalogVariableListService deviceAnalogVariableListService;

    /**
     * 站点管理-变量列表-新增
     * @param deviceAnalogVariableList
     * @return
     */
    @GetMapping("variableListAdd")
    public ApiResult<Void> variableListAdd(@RequestBody DeviceAnalogVariableList deviceAnalogVariableList) {
        deviceAnalogVariableListService.variableListAdd(deviceAnalogVariableList);
        return ApiResult.success();
    }

    /**
     * 站点管理-变量列表-修改
     * @param deviceAnalogVariableList
     * @return
     */
    @GetMapping("variableListUpdate")
    public ApiResult<Void> variableListUpdate(@RequestBody DeviceAnalogVariableList deviceAnalogVariableList) {
        deviceAnalogVariableListService.variableListUpdate(deviceAnalogVariableList);
        return ApiResult.success();
    }

    /**
     * 站点管理-变量列表-注销
     * @param id 变量列表主键ID
     * @return
     */

    @GetMapping("variableListDel")
    public ApiResult<Void> variableListDel(@RequestParam int id) {
        deviceAnalogVariableListService.variableListDel(id);
        return ApiResult.success();
    }

    /**
     * 站点管理-变量列表-列表查询
     * @param deviceCode 设备编号
     * @param screen 筛选条件
     * @param size 页数
     * @param current 条数
     * @return
     */

    @GetMapping("variableList")
    public ApiResult<CommonPage<DeviceAnalogVariableList>> variableList(@RequestParam(required = false) String deviceCode,
                                                                        @RequestParam(required = false) String screen,
                                                                        @RequestParam(value = "size", required = false, defaultValue = "1") int size,
                                                                        @RequestParam(value = "current", required = false, defaultValue = "10") int current) {
        return ApiResult.success(deviceAnalogVariableListService.variableList(deviceCode, screen,size,current));
    }


    /**
     * 站点管理-变量列表-列表查询
     * @param deviceAnalogVariableListVo
     * @return
     */
    @GetMapping("variableListone")
    public ApiResult<CommonPage<DeviceAnalogVariableList>> variableListone(@RequestBody DeviceAnalogVariableListVo deviceAnalogVariableListVo) {
        return ApiResult.success(deviceAnalogVariableListService.variableListone(deviceAnalogVariableListVo));
    }
}

