package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.vo.DeviceAttributeVo;
import com.bizmatics.model.vo.MonitorDeviceListVO;
import com.bizmatics.service.DeviceAttributeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 *
 * 设备属性
 *
 *
 * @author ya
 * @since 2021-09-24
 */
@RestController
@RequestMapping("/deviceAttribute")
public class DeviceAttributeController {
    @Autowired
    private DeviceAttributeService deviceAttributeService;

    /**
     * 站点管理/设备管理-监控设备-新增
     *
     * @param deviceAttribute
     * @return
     */
    @GetMapping("deviceNewsAdd")
    public ApiResult<Void> deviceNewsAdd(@RequestBody DeviceAttribute deviceAttribute) {
        deviceAttributeService.deviceNewsAdd(deviceAttribute);
        return ApiResult.success();
    }


    /**
     * 站点管理/设备管理-监控设备-修改
     *
     * @param deviceAttribute
     * @return
     */
    @GetMapping("deviceNewsUpdate")
    public ApiResult<Void> deviceNewsUpdate(@RequestBody DeviceAttribute deviceAttribute) {
        deviceAttributeService.deviceNewsUpdate(deviceAttribute);
        return ApiResult.success();
    }

    /**
     * 站点管理/设备管理-监控设备-设备列表查询
     *
     * @param id         device_attribute表主键ID
     * @param siteId     点位ID
     * @return
     */
    @GetMapping("deviceNewsList")
    public ApiResult<List<DeviceAttribute>> deviceNewsList(@RequestParam int siteId,
                                                           @RequestParam(value = "id", required = false, defaultValue = "0") int id
    ) {
        return ApiResult.success(deviceAttributeService.deviceNewsList(id, siteId));
    }

    /**
     * 站点管理/设备管理-监控设备-注销
     *
     * @param id
     * @return
     */
    @GetMapping("deviceNewsDel")
    public ApiResult<Void> deviceNewsDel(@RequestParam int id) {
        deviceAttributeService.deviceNewsDel(id);
        return ApiResult.success();
    }

    /**
     * 站点管理/设备管理-监控设备-主页列表查询
     *
     * @param siteName 站点名称
     * @return
     */
    @GetMapping("monitorDeviceList")
    public ApiResult<List<MonitorDeviceListVO>> monitorDeviceList(@RequestParam(required = false) String siteName) {
        return ApiResult.success(deviceAttributeService.monitorDeviceList(siteName));
    }
}

