package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.model.Device;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.DeviceList;
import com.bizmatics.model.TemplateData;
import com.bizmatics.model.vo.CorrespondDeviceListVO;
import com.bizmatics.model.vo.CorrespondDeviceVO;
import com.bizmatics.service.vo.CorrespondDeviceVOT;
import com.bizmatics.service.vo.DeviceCountVO;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface DeviceService extends CrudService<Device> {

    /**
     * 查询不同状态设备数量
     * @return
     */
    DeviceCountVO selectDeviceCount(Date startTime, Date endTime);


    /**
     * 查询不同类型的设备数量
     * @param site
     * @return
     */
    DeviceCountVO selectDeviceCountByType(Integer site);

    List<DeviceList> deviceList(String siteId);

    List<Device> dataManagementDeviceList(int siteId,int deviceType);

    void correspondDeviceAdd(CorrespondDeviceVOT correspondDeviceVOT);

    void correspondDeviceUpdate(CorrespondDeviceVOT correspondDeviceVOT);

    void correspondDeviceDel(int id);

    CommonPage<CorrespondDeviceVO> correspondDeviceList(String deviceName, int size, int current);

    List<CorrespondDeviceListVO> correspondDeviceListEcho(int id);

    CommonPage<Device> videoMonitoringDeviceList(String deviceName, Integer deviceType, Integer siteId, Integer size, Integer current);
}
