package com.bizmatics.service;

import com.bizmatics.model.RtAnalogData;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.service.vo.RadCountVO;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface RtAnalogDataService extends CrudService<RtAnalogData> {


    /**
     * 汇总
     * @return
     */
    RadCountVO selectCount();

    /**
     * 查看实时数据详情
     * @param siteId 站点id
     * @return
     */
    List<Map<String,Object>> getOne(Integer siteId);

    /**
     * 实时负荷
     * @param siteId
     * @return
     */
    Double getEpLoad(Integer siteId);


    /**
     *
     * @param siteId
     * @param startTime
     * @param endTime
     * @param queryType
     * @return
     */
    List<Map<String,Object>> getDataReport(Integer siteId,Date startTime, Date endTime,String queryType);

    /**
     *
     * @param siteId
     * @param startTime
     * @param endTime
     * @param queryType
     * @return
     */
    List<Map<String,Object>> getHistoricalCurve(Integer siteId,Date startTime, Date endTime,String queryType);

    /**
     *
     * @param siteId
     * @param startTime
     * @param endTime
     * @param queryType
     * @return
     */
    String DataReportExport(Integer siteId,Date startTime, Date endTime,String queryType);

}
