package com.bizmatics.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.common.core.util.DateUtils;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.model.Device;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.model.vo.DeviceAttributeVo;
import com.bizmatics.model.vo.MonitorDeviceListVO;
import com.bizmatics.persistence.mapper.DeviceAttributeMapper;
import com.bizmatics.service.DeviceAttributeService;
import com.bizmatics.service.DeviceService;
import com.bizmatics.service.util.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.Instant;
import java.time.LocalDateTime;
import java.time.ZoneOffset;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 设备属性 服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-09-24
 */
@SuppressWarnings("unused")
@Service
public class DeviceAttributeServiceImpl extends AbstractCrudService<DeviceAttributeMapper, DeviceAttribute> implements DeviceAttributeService {

    @Autowired
    private DeviceService deviceService;

    @Override
    public void deviceNewsAdd(DeviceAttribute deviceAttribute) {
        SysUser user = SecurityUtils.getLoginUser().getUser();
        deviceAttribute.setStatus(1);
        deviceAttribute.setCreator(user.getUserName());
        deviceAttribute.setCreateTime(new Date());
        this.save(deviceAttribute);
    }

    @Override
    public void deviceNewsUpdate(DeviceAttribute deviceAttribute) {
        this.updateById(deviceAttribute);
    }

    @Override
    public List<DeviceAttribute> deviceNewsList(int id, int siteId) {
        LambdaQueryWrapper<DeviceAttribute> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(DeviceAttribute::getStatus, 1).eq(DeviceAttribute::getSiteId,siteId);
        if(id!=0){
            queryWrapper.eq(DeviceAttribute::getId, id);
        }
        List<DeviceAttribute> deviceAttributeList = this.list(queryWrapper);
        return deviceAttributeList;
    }

    @Override
    public void deviceNewsDel(int id) {
        DeviceAttribute deviceAttribute = new DeviceAttribute();
        deviceAttribute.setId(id);
        deviceAttribute.setStatus(0);
        this.updateById(deviceAttribute);
    }

    @Override
    public List<MonitorDeviceListVO> monitorDeviceList(String siteName) {
        List<MonitorDeviceListVO> monitorDeviceList = baseMapper.monitorDeviceList(siteName);
        return monitorDeviceList;
    }
}
