package com.bizmatics.service.impl;

import com.bizmatics.model.WcBlackoutPlan;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.model.vo.WcBlackoutPlanVo;
import com.bizmatics.persistence.mapper.WcBlackoutPlanMapper;
import com.bizmatics.service.WcBlackoutPlanService;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.service.util.SecurityUtils;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Service
public class WcBlackoutPlanServiceImpl extends AbstractCrudService<WcBlackoutPlanMapper, WcBlackoutPlan> implements WcBlackoutPlanService {

    @Override
    public void plannedOutageAdd(WcBlackoutPlan wcBlackoutPlan){
        SysUser user = SecurityUtils.getLoginUser().getUser();
        wcBlackoutPlan.setEnable(1);
        wcBlackoutPlan.setCreator(user.getUserName());
        wcBlackoutPlan.setCreateTime(LocalDateTime.now());
        this.save(wcBlackoutPlan);
    }

    @Override
    public void plannedOutageUpdate(WcBlackoutPlan wcBlackoutPlan){
        this.updateById(wcBlackoutPlan);
    }

    @Override
    public void plannedOutageDel(int id){
        WcBlackoutPlan wcBlackoutPlan = new WcBlackoutPlan();
        wcBlackoutPlan.setId(id);
        wcBlackoutPlan.setEnable(0);
        this.updateById(wcBlackoutPlan);
    }

    @Override
    public List<WcBlackoutPlanVo> plannedOutageList(String startTime , String endTime , int type,int id){
        List <WcBlackoutPlanVo> plannedOutageList = baseMapper.plannedOutageList(startTime,endTime,type,id);
        return plannedOutageList;
    }
}
